jakoch
Repos
46
Followers
78
Following
145

:sunglasses: A curated awesome list for Composer, Packagist, Satis, Plugins, Scripts, Composer related resources, tutorials.

813
56

A Composer Package which installs the PhantomJS binary (Linux, Windows, Mac) into /bin of your project.

150
40

Reaper Toolbox is an installer for Reaper DAW which includes additional plugins, like SWS and repack, out-of-the-box.

FIFE is a multi-platform isometric game engine

517
72

Das gesamte wikifolio.com Anlageuniversum als SQLite Datenbank.

1
0

CS:GO Console shows your user account, stats and latest matches. It also uploads demo sharecodes to csgostats.gg.

31
3

Events

jakoch create tag Reaper-Toolbox_v221002_r1
Created at 2 days ago
jakoch create tag Reaper-Toolbox_v220925_r1
Created at 1 week ago
jakoch create tag Reaper-Toolbox_v220918_r1
Created at 2 weeks ago

Update build-docs.yml

update to new version of ubuntu to get a newer version of doxygen.

use short names, exclude .cpp

Created at 2 weeks ago

Doxygen docs (#402)

  • Renamed required.hpp to utility.hpp
  • documentation fixes

More docs (#403)

  • change subscribe() functions
  • rename callback types
  • All buttons now carry label attributes

Even more docs (#405)

  • Improve documentation
Created at 2 weeks ago

new news

fix version_dropdown

Merge pull request #12 from jakoch/patch-1

fix version_dropdown

Change layout of modules

Created at 3 weeks ago

Update build-docs.yml

Created at 3 weeks ago

Update build-docs.yml

use newer ubuntu image (22.04)

Created at 3 weeks ago
pull request opened
fix version_dropdown
Created at 3 weeks ago

fix version_dropdown

Created at 3 weeks ago

Shared state (#400)

  • Adding a shared_state<> type for handling the composited state of an application.
  • The observer<> type has been rewritten and is able to create sub observer<> from member variables or through the index-operator of the observed-type.
  • Add selector<> type trait which allows access to member variables of a type using constexpr fixed_basic_string.
  • Improve is_forward_of<> to handle std::shared_ptr<> and observer<> forwarding.
  • Add group_ptr<> type which is a shared-pointer type which when assigned a new pointer will change all the pointers of the whole group.
  • Add a text-type which like icon-type is a variant of different types of text.
  • Modify the label type to use the text type for text.
  • Modify text-widget to use a delegate and have a default-delegate that handled different types of text.
  • Remove weak_or_unique_ptr and change widget delegates to use std::shared_ptr.
  • Add logging of request_reconstrain().

Shared state docs (#401)

  • update documentation
  • add changelog entry
Created at 3 weeks ago
jakoch create tag Reaper-Toolbox_v220911_r1
Created at 3 weeks ago

New character conversion system (#398)

Conversions between:

  • utf-8
  • utf-16
  • utf-32
  • ascii
  • iso-8859-1
  • cp-1252

Rwlock (#399)

  • Add a rcu object.
Created at 3 weeks ago
jakoch create tag Reaper-Toolbox_v220904_r1
Created at 1 month ago
Game not starting in Ubuntu 18.04

I haven't worked on fife for years. So i need to (re)setup my dev env with repo(s) and stuff first, before i could tackle this.

Created at 1 month ago
Game not starting in Ubuntu 18.04

Hmmm... No hardware accelerated renderers available. Ok, that means the initalization fails on fifengine side.


This might be caused by a wrong usage of SDL_ functions, specifically SDL_GetWindowSurface in Fifengine's RenderBackendOpenGL. Referencing: https://github.com/libsdl-org/SDL/blob/main/include/SDL_video.h#L1287

I think it would be better to make the current window the opengl context and then start swapping, before glew_init. So just SDL_GL_MakeCurrent(handle, context) followed by SDL_GL_SetSwapInterval(1). The upstream (fifengine) needs a bugfix.

Created at 1 month ago
jakoch create tag Reaper-Toolbox_v220828_r1
Created at 1 month ago
jakoch delete branch dependabot/npm_and_yarn/typescript-eslint/parser-5.33.1
Created at 1 month ago

Bump @typescript-eslint/parser from 5.33.0 to 5.33.1

Bumps @typescript-eslint/parser from 5.33.0 to 5.33.1.


updated-dependencies:

  • dependency-name: "@typescript-eslint/parser" dependency-type: direct:development update-type: version-update:semver-patch ...

Signed-off-by: dependabot[bot] support@github.com

Merge pull request #83 from jakoch/dependabot/npm_and_yarn/typescript-eslint/parser-5.33.1

Bump @typescript-eslint/parser from 5.33.0 to 5.33.1

Created at 1 month ago
pull request closed
Bump @typescript-eslint/parser from 5.33.0 to 5.33.1

Bumps @typescript-eslint/parser from 5.33.0 to 5.33.1.

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
Created at 1 month ago
jakoch delete branch dependabot/npm_and_yarn/typescript-eslint/eslint-plugin-5.33.1
Created at 1 month ago

Bump @typescript-eslint/eslint-plugin from 5.33.0 to 5.33.1

Bumps @typescript-eslint/eslint-plugin from 5.33.0 to 5.33.1.


updated-dependencies:

  • dependency-name: "@typescript-eslint/eslint-plugin" dependency-type: direct:development update-type: version-update:semver-patch ...

Signed-off-by: dependabot[bot] support@github.com

Merge pull request #82 from jakoch/dependabot/npm_and_yarn/typescript-eslint/eslint-plugin-5.33.1

Bump @typescript-eslint/eslint-plugin from 5.33.0 to 5.33.1

Created at 1 month ago
pull request closed
Bump @typescript-eslint/eslint-plugin from 5.33.0 to 5.33.1

Bumps @typescript-eslint/eslint-plugin from 5.33.0 to 5.33.1.

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
Created at 1 month ago
jakoch delete branch dependabot/npm_and_yarn/actions/cache-3.0.4
Created at 1 month ago